import {Component, inject} from '@angular/core';
import {
  MAT_DIALOG_DATA,
  MatDialogActions,
  MatDialogContent,
  MatDialogRef,
  MatDialogTitle
} from "@angular/material/dialog";
import QualificationService from "../../services/qualification.service";
import {Qualification} from "../Qualification";
import {AsyncPipe} from "@angular/common";
import {MatButton} from "@angular/material/button";

@Component({
  selector: 'app-details',
  imports: [
    AsyncPipe,
    MatDialogContent,
    MatDialogTitle,
    MatDialogActions,
    MatButton
  ],
  templateUrl: './details.component.html',
  styleUrl: './details.component.css'
})
export class DetailsComponent {
  private qualificationService = inject(QualificationService);
  private dialogRef: MatDialogRef<DetailsComponent> = inject(MatDialogRef);

  public qualification: Qualification = inject(MAT_DIALOG_DATA);
  public employees$ = this.qualificationService.findEmployees(this.qualification.id);

  closeModal() {
    this.dialogRef.close();
  }
}
